com.verisign.epp.util

## Class EPPRawSendReceiveLogger

- java.lang.Object
- - com.verisign.epp.util.EPPRawSendReceiveLogger

- All Implemented Interfaces:
    EPPSendReceiveLogger

      public class EPPRawSendReceiveLogger
      extends java.lang.Object
      implements EPPSendReceiveLogger

  A concrete `EPPSendReceiveLogger` that logs the messages in raw form to the Log4J com.verisign.epp.util.EPPXMLStream category. This logging category is used for backward compatibility to logging configurations when the `EPPXMLStream` logged the packets directly.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRawSendReceiveLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `logReceive(byte[] aPacket, EPPMessage aMessage)` Log the raw receiving of a message.
    `void` | `logSend(byte[] aPacket, EPPMessage aMessage)` Log the raw sending of a message.
    `EPPCodecComponent` | `maskMessage(EPPCodecComponent aMessage)` Utility method used to optionally mask specific message attributes based on the concrete `EPPSendReceiveLogger`.
    `java.lang.String` | `maskString(java.lang.String aString)` Mask a general string of sensitive information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRawSendReceiveLogger

          public EPPRawSendReceiveLogger()

  - ### Method Detail

    - #### logSend

          public void logSend(byte[] aPacket,
                              EPPMessage aMessage)

      Log the raw sending of a message. No filtering or alterations are done to the attributes of the message.
      Specified by:
        `logSend` in interface `EPPSendReceiveLogger`
      Parameters:
        `aPacket` - Packet to send. This may be `null` if the packet has not been encoded yet.
        `aMessage` - The message that is being sent, which could be any concrete `EPPMessage`, including a `EPPCommand`, an `EPPGreeting`, an `EPPHello`, or an `EPPResponse`. This may be `null` if the `EPPMessage` is not available.

    - #### logReceive

          public void logReceive(byte[] aPacket,
                                 EPPMessage aMessage)

      Log the raw receiving of a message. No filtering or alterations are done to the attributes of the message.
      Specified by:
        `logReceive` in interface `EPPSendReceiveLogger`
      Parameters:
        `aPacket` - Packet received. This may be `null` if the packet is not available.
        `aMessage` - The message received, which could be any concrete `EPPMessage`, including a `EPPCommand`, an `EPPGreeting`, an `EPPHello`, or an `EPPResponse`. This may be `null` if the `EPPMessage` is not available.

    - #### maskMessage

          public EPPCodecComponent maskMessage(EPPCodecComponent aMessage)

      Utility method used to optionally mask specific message attributes based on the concrete `EPPSendReceiveLogger`. `EPPRawSendReceiveLogger` does not perform any masking, so the `aMessage` parameter is directly returned.
      Specified by:
        `maskMessage` in interface `EPPSendReceiveLogger`
      Parameters:
        `aMessage` - Message to mask. `EPPRawSendReceiveLogger` does not perform any masking, so the `aMessage` parameter is directly returned.
      Returns:
        Matches the `aMessage` parameter.

    - #### maskString

          public java.lang.String maskString(java.lang.String aString)

      Mask a general string of sensitive information. Specific string regular expressions are checked and matching strings are masked by this method for inclusion in exceptions and logs.
      Specified by:
        `maskString` in interface `EPPSendReceiveLogger`
      Parameters:
        `aString` - `String` to scan for masking
      Returns:
        Masked `String`.